# Had Real physical testing round for Menu Position 1.0.x-dev with Drupal ~10

# Build Drupal ~10.0 sandbox test site and have Drush ~11.0
mkdir -p /var/www/html/sandboxes
composer create-project drupal/recommended-project:~10.0 /var/www/html/sandboxes/drupal10menu_position_1__test
cd /var/www/html/sandboxes/drupal10menu_position_1__test/
composer require drush/drush:~11.0;

# Change minimum stability to dev for testing on the recommended Drupal 10 project template
composer config minimum-stability dev


# Add the Menu Position module
mkdir -p /var/www/html/sandboxes/drupal10menu_position_1__test/web/modules/contrib
cd /var/www/html/sandboxes/drupal10menu_position_1__test/web/modules/contrib/
git clone --branch '8.x-1.x' https://git.drupalcode.org/project/menu_position.git

# Git Apply the patch.
cd /var/www/html/sandboxes/drupal10menu_position_1__test/web/modules/contrib/menu_position/
wget https://www.drupal.org/files/issues/2022-06-16/menu_position.1.x-dev.rector.patch
git apply menu_position.1.x-dev.rector.patch

# Change file/directory mod and ownership of files:
cd /var/www/html/sandboxes/drupal10menu_position_1__test/
sudo chmod 775 -R .;sudo chown www-data:$USER -R .;

# Install with Drush
./vendor/drush/drush/drush site:install standard --yes --site-name="Menu Position 1.0.x-dev - Real physical testing with Drupal ~10" --account-name="webmaster" --account-pass="d" --account-mail="test@drupal.org" --db-url="mysql://root:123___@localhost/sandboxes_drupal10menu_position_1__test" -vvv ;

./vendor/drush/drush/drush pm:enable menu_position



# Rebuild the cache:
sudo chmod 775 -R .;sudo chown www-data:$USER -R .;
./vendor/drush/drush/drush cache:rebuild

# Open a browser and change the address to:
# http://localhost/sandboxes/drupal10menu_position_1__test/web/


menu_position.1.x-dev.rector.patc
